//
//Written by GowinSynthesis
//Tool Version "V1.9.9.02"
//Thu Apr 25 16:06:49 2024

//Source file index table:
//file0 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs.v"
//file1 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs_top.v"
`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version="2.3"
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="GOWIN"
`pragma protect encrypt_agent_info="GOWIN Encrypt Version 2.3"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GOWIN",key_keyname="GWK2023-09",key_method="rsa"
`pragma protect key_block
bhm5ZxuHD5fe6lKy2Dq5AwHxacJ1cWMwBMX9H8GmdL4lnDV2AKUKXoXHJPX5qkh7Ng/EuDXlf3tq
XgChMGXHxhGKlXwTDGbPZ7rg+R+CLwCXNxLjHDLHZj7jAwx16WNjn6S5gfS7ZWNO/UifNMSnMT3R
m/cUTYMLIkyS4qXtYi2xztDEhzoau2SQnLDGMrABROuNOwwpPJPYPMCZrpYnUTE9prjojUwFQhnT
aNSO4thTEH7/k6gA0a1Hr9Kwu6d3XW6q2dZH78mYOaedKNxNSU95OsQ/GrR3fobX7P5Bxrf3upgd
Xs0Rq7KS+nMjcFcl7E3CRA+0+XO4iCSxRkS+iA==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=7024)
`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cfb"
`pragma protect data_block
[encoded data, 9471 characters]
yLUXcvMsVv4bPZxPFw==
`pragma protect end_protected
module FifoDDS (
  Data,
  Reset,
  WrClk,
  RdClk,
  WrEn,
  RdEn,
  Q,
  Empty,
  Full
)
;
input [63:0] Data;
input Reset;
input WrClk;
input RdClk;
input WrEn;
input RdEn;
output [63:0] Q;
output Empty;
output Full;
wire VCC;
wire GND;
  \~fifo.FifoDDS  fifo_inst (
    .Reset(Reset),
    .RdClk(RdClk),
    .WrClk(WrClk),
    .WrEn(WrEn),
    .RdEn(RdEn),
    .Data(Data[63:0]),
    .Empty(Empty),
    .Full(Full),
    .Q(Q[63:0])
);
  VCC VCC_cZ (
    .V(VCC)
);
  GND GND_cZ (
    .G(GND)
);
  GSR GSR (
    .GSRI(VCC) 
);
endmodule /* FifoDDS */
